Subject: bug#14947: Key bindings for info in other window or frame

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Jul 2013 21:09:08 -0400

> The attached patch defines `info-other-frame' and bind it to `C-x 
> 5 i'.  It also bind `info-other-window' to `C-x 4 i'.

Thanks.  But what I'm looking for is a C-x 4 command and a C-x 5 command
which work like prefix keys changing the subsequent command to use a new
window/frame (presumably using display-buffer-overriding-action).

Then C-x 4 C-x C-f would do the same as the current C-x 4 f,
and C-x 4 M-x info would do the same as your C-x 4 i.

Also we could further tweak those commands to use
a set-temporary-overlay-map so as to provide shortcuts like the
preexisting C-x 4 f (which would map to C-x 4 C-x C-f), at which point
adding C-x 4 i and C-x 5 i would be easy and wouldn't require any
new command.

        Stefan